let abc = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'ñ', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'];
let l = '';
let palabras = ["ablandar", "aborigen", "abreviar", "acarrear", "acogedor", "adjetivo", "adjuntar", "afrontar", "agricola", "alcayata", "almohada", "aminorar", "aparecer", "apreciar", "arbitrar", "atenazar", "atrevido", "aventura", "avestruz", "bailarin", "baluarte", "baratija", "barbacoa", "bebedizo", "bendecir", "blancura", "bofetada", "bombilla", "bordillo", "braguero", "cabestro", "cafetera", "calcular", "califato", "callejon", "calzador", "camarero", "capturar", "carruaje", "carrusel", "cartilla", "cartucho", "castillo", "catarata", "celebrar", "cellisca", "cerilla", "chistera", "circuito", "circular", "codorniz", "cofradia", "colgante", "colonial", "comparar", "comparsa", "concebir", "conceder", "concepto", "consulta", "contrato", "converso", "convicto", "convulso", "correcto", "corredor", "creacion", "creativo", "creencia", "culminar", "cultural", "dactilar", "decision", "degradar", "degustar", "delgadez", "deprimir", "desacato", "desatino", "descoser", "descuido", "desguace", "deshacer", "destacar", "destapar", "destello", "devuelto", "dictamen", "diminuto", "diputado", "disolver", "dolorido", "dualidad", "duradero", "efectuar", "elevador", "embeleso", "empalmar", "emplazar", "encantar", "encestar", "endemico", "enfatico", "ensalada", "entender", "envuelto", "erupcion", "escalope", "escombro", "espinoso", "espumoso", "esquimal", "estatura", "estofado", "estudiar", "eventual", "evocador", "exaltado", "explorar", "expulsar", "extracto", "fabricar", "fabuloso", "fanatico", "fandango", "favorito", "fechoria", "fecundar", "femenino", "festejar", "flaqueza", "florista", "folletin", "fonetica", "forajido", "frondoso", "gabinete", "galapago", "garbanzo", "generoso", "genetica", "grabador", "graduado", "guisante", "guitarra", "habanero", "hechizar", "heretico", "holgazan", "homonimo", "hospital", "humildad", "ilustrar", "imaginar", "imprenta", "impulsar", "incienso", "incierto", "inculpar", "indultar", "inocente", "insignia", "insuflar", "insumiso", "intentar", "invasion", "isotermo", "jabalina", "jacobino", "jilguero", "justicia", "juventud", "labranza", "ladrillo", "langosta", "lanzador", "lastimar", "licencia", "liquidez", "luchador", "magnolia", "maletero", "mamifero", "maniobra", "medieval", "mercader", "merendar", "misterio", "molestar", "molinero", "moraleja", "nebulosa", "nervioso", "obelisco", "octaedro", "olfatear", "ondulado", "opositor", "original", "orquidea", "pabellon", "palomita", "paraguas", "pasajero", "pastoril", "percutor", "perdurar", "perezoso", "perfecto", "pergeñar", "pistacho", "pleitear", "poltrona", "populoso", "porteria", "precepto", "prestamo", "probable", "probador", "producto", "profesor", "provocar", "puñetazo", "purgante", "raspador", "reactivo", "reavivar", "recortar", "reiterar", "renegado", "reproche", "repuesto", "reservar", "revolcar", "rupestre", "sacudida", "seductor", "segmento", "sencillo", "sensible", "servicio", "simetria", "sobornar", "sorpresa", "subsuelo", "suciedad", "sufragio", "sustento", "taburete", "tangente", "terminar", "tornillo", "torrente", "traducir", "travesia", "vainilla", "variedad", "ventisca", "vocativo", "voragine"];
let palabra = "";
let fallos;
acertadas = 0;

const click = new Audio("./audios/click.mp3");
const ok = new Audio("./audios/ok.mp3");
const ko = new Audio("./audios/ko.mp3");

const aplausos = new Audio("./audios/aplausos.mp3");


iniciar();

function iniciar() {
    html = "";
    abc.forEach(element => {
        html += '<button onclick="letra(\'' + element + '\')" id="boton_' + element + '">' + element + '</button>';
    });
    $("#abc").html(html);

    palabra = palabras[getRandomInt(palabras.length - 1)];

    html = "";
    for (let index = 0; index < palabra.length; index++) {
        html += "<div id='letra_" + index + "'>-</div>";
    }
    $("#palabra").html(html);
    $("#estado").html("La muerte te da una vida de ventaja...");
    fallos = 0;
    acertadas = 0;
}

function letra(le) {
    acertadas = 0;
    click.play();
    l = le;
    $("#boton_" + l).attr("disabled","disabled");
    aciertos = 0;
    for (let index = 0; index < palabra.length; index++) {
        if (l == palabra[index]) {
            $("#letra_" + index).html(l);
            aciertos++;
        }
        if($("#letra_"+index).html() != "-"){
            acertadas++;
        }
    }

    if (aciertos > 0) {
        ok.play();
    } else {
        fallos++;
        ko.play()
        $("#estado").html('<img src="imagenes/' + fallos + '.png">')
    }

    if(fallos == 6){
        $("#estado").append("<h2>HAS PERDIDO</h2>");
        $("#estado").append("<p><button onclick='iniciar()'>Nueva Partida</button></p>");
        prohibir();
    }

    if(acertadas == palabra.length){
        $("#estado").html("<p><img src='imagenes/ganar.png'></p>");
        $("#estado").append("<p><button onclick='iniciar()'>Nueva Partida</button></p>");
        aplausos.play();
    }

}


function prohibir() {
    $("#abc button").attr("disabled","disabled");
    prohibir();
}


function getRandomInt(max) {
    return Math.floor(Math.random() * max);
}